Page MenuHomePhabricator

Help panel: decide on a purging strategy for the HelpPanel schema
Closed, ResolvedPublicMar 2 2019

Description

We created the HelpPanel schema to log data for this project, and we need to decide what purging strategy to use for this data. By default, all data is purged after 90 days. For more information see Data retention and auto-purging.

The page ID definitely needs to be part of the data that gets purged.

Details

Due Date
Mar 2 2019, 12:00 AM

Event Timeline

MMiller_WMF triaged this task as Normal priority.Dec 20 2018, 10:25 PM
MMiller_WMF created this task.
JTannerWMF set Due Date to Jan 9 2018, 12:00 AM.Dec 21 2018, 12:05 AM
JTannerWMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptDec 21 2018, 12:05 AM
Aklapper changed Due Date from Jan 9 2018, 12:00 AM to Jan 9 2019, 12:00 AM.Dec 21 2018, 12:11 AM
nettrom_WMF moved this task from Triage to Epics on the Product-Analytics board.Jan 10 2019, 8:50 PM
nettrom_WMF changed Due Date from Jan 9 2019, 12:00 AM to Mar 2 2019, 12:00 AM.Feb 13 2019, 7:05 PM
nettrom_WMF closed this task as Resolved.Apr 19 2019, 5:23 PM

We've decided on a data retention strategy and added the schema to the whitelist in T220033. I don't see a need to keep this task open.

From Leighanna: The Data Retention Guidelines have been updated. Let's discuss again in September to make sure things are on track and prepare to remove that clause when it is no longer needed.